Bug 963321 - [oo-accept-node] Exception when checking system httpd configs
[oo-accept-node] Exception when checking system httpd configs
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
1.x
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 12:07 EDT by Kenny Woodson
Modified: 2013-11-17 19:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:03:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenny Woodson 2013-05-15 12:07:46 EDT
Description of problem:

Accept node failed to complete on this node because of an exception when checking httpd configs.

/usr/sbin/oo-accept-node:500:in `read': No such file or directory - /var/lib/openshift/c3b8f1ab19af498f86710e224bda2deb/.env/OPENSHIFT_GEAR_DNS (Errno::ENOENT)
	from /usr/sbin/oo-accept-node:500:in `block in check_system_httpd_configs'
	from /usr/sbin/oo-accept-node:498:in `each'
	from /usr/sbin/oo-accept-node:498:in `check_system_httpd_configs'
	from /usr/sbin/oo-accept-node:639:in `<main>'


Version-Release number of selected component (if applicable):

Current, 2.0.27

How reproducible:

It appears that the OPENSHIFT_GEAR_DNS dir is missing and therefore causes this to fail.

Steps to Reproduce:
1.  Create an application.
2.  Remove the .env/OPENSHIFT_GEAR_DNS
3.  Run oo-accept-node -v.
  
Actual results:
Fails with exception.

Expected results:
Should alert that this failed.

Additional info:
Skip this entry or Fail it.
Comment 1 Kenny Woodson 2013-05-15 13:22:57 EDT
Here is a directory listing:

ls -l /var/lib/openshift/c3b8f1ab19af498f86710e224bda2deb/.env
total 108
-rw-r--r--. 1 root root  97 Nov 21 15:56 HISTFILE
-rw-r--r--. 1 root root  50 Nov 21 15:56 JAVA_HOME
-rw-r--r--. 1 root root  43 Nov 21 15:56 M2_HOME
-rw-r--r--. 1 root root  44 Nov 21 15:56 OPENSHIFT_INTERNAL_IP
-rw-r--r--. 1 root root  38 Nov 21 15:56 OPENSHIFT_INTERNAL_PORT
-rw-r--r--. 1 root root  54 Nov 21 15:56 OPENSHIFT_JBOSSAS_CLUSTER
-rw-r--r--. 1 root root  45 Nov 21 15:56 OPENSHIFT_JBOSSAS_CLUSTER_PORT
-rw-r--r--. 1 root root  51 Nov 21 15:56 OPENSHIFT_JBOSSAS_CLUSTER_PROXY_PORT
-rw-r--r--. 1 root root  62 Nov 21 15:56 OPENSHIFT_JBOSSAS_CLUSTER_REMOTING
-rw-r--r--. 1 root root  43 Nov 21 15:56 OPENSHIFT_JBOSSAS_IP
-rw-r--r--. 1 root root 103 Nov 21 15:56 OPENSHIFT_JBOSSAS_LOG_DIR
-rw-r--r--. 1 root root  47 Nov 21 15:56 OPENSHIFT_JBOSSAS_MESSAGING_PORT
-rw-r--r--. 1 root root  58 Nov 21 15:56 OPENSHIFT_JBOSSAS_MESSAGING_THROUGHPUT_PORT
-rw-r--r--. 1 root root  37 Nov 21 15:56 OPENSHIFT_JBOSSAS_PORT
-rw-r--r--. 1 root root  46 Nov 21 15:56 OPENSHIFT_JBOSSAS_REMOTING_PORT
-rw-r--r--. 1 root root 277 Nov 21 15:56 PATH
-rw-r--r--. 1 root root  48 Nov 21 15:56 SS_APP_DNS
-rw-r--r--. 1 root root  30 Nov 21 15:56 SS_APP_NAME
-rw-r--r--. 1 root root  53 Nov 21 15:56 SS_APP_UUID
-rw-r--r--. 1 root root  87 Nov 21 15:56 SS_DATA_DIR
-rw-r--r--. 1 root root  49 Nov 21 15:56 SS_GEAR_DNS
-rw-r--r--. 1 root root  31 Nov 21 15:56 SS_GEAR_NAME
-rw-r--r--. 1 root root  54 Nov 21 15:56 SS_GEAR_UUID
-rw-r--r--. 1 root root  72 Nov 21 15:56 SS_HOMEDIR
-rw-r--r--. 1 root root  95 Nov 21 15:56 SS_REPO_DIR
-rw-r--r--. 1 root root  25 Nov 21 15:56 SS_TMP_DIR
-rw-r--r--. 1 root root 284 Nov 21 15:56 USER_VARS
Comment 2 Rob Millner 2013-05-28 16:59:25 EDT
Pull request to make oo-accept-node issue a proper failure rather than crash if GEAR_DNS is missing.
https://github.com/openshift/origin-server/pull/2661


# oo-accept-node 
FAIL: Gear does not have an OPENSHIFT_GEAR_DNS variable: '51a50a1d3cb28c0caf000001'
1 ERRORS
Comment 3 openshift-github-bot 2013-05-28 18:31:50 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/bf0488ec240bc2cac6ae408752dfda77aaa28098
Bug 963321 - Report an error if OPENSHIFT_GEAR_DNS is missing instead of crash.
Comment 4 Meng Bo 2013-05-29 06:45:47 EDT
Checked on devenv_3282, issue fixed.


[root@ip-10-154-145-32 openshift]# oo-accept-node 
FAIL: user 51a5c7015ec49a08dd000012 does not have a home directory /var/lib/openshift/51a5c7015ec49a08dd000012
FAIL: Gear does not have an OPENSHIFT_GEAR_DNS variable: '51a5c7015ec49a08dd000012'
2 ERRORS

Note You need to log in before you can comment on or make changes to this bug.